> For the complete documentation index, see [llms.txt](https://docs.roboflow.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.roboflow.com/roboflow/roboflow-ko/deploy/dedicated-deployments/manage-dedicated-deployments-with-an-api.md).

# API로 Dedicated Deployment 관리

공지:

* 모든 엔드포인트는 다음에서 호스팅됩니다 `https://roboflow.cloud`.
* 응답 코드를 확인하세요:
  * 만약 다음과 같다면 `200`, 응답 본문을 JSON 객체로 디코딩하세요.
  * 그렇지 않으면, 응답 본문에는 오류 메시지가 문자열로 포함됩니다.

<details>

<summary>POST /add — 전용 배포 생성</summary>

**요청 본문 예시 (json)**

```
{
	"api_key": API_KEY,
	"deployment_name": "dev-testing",
	"machine_type": "dev-gpu",
	"creator_email": YOUR_EMAIL_ADDRESS,
	"duration": 3.0,
	"inference_version": "latest",
	"min_replicas": 1,
	"max_replicas": 1
}
```

**요청 본문 스키마 (json)**

* api\_key (string): 필수
* deployment\_name (string): 필수
* machine\_type (string): 필수
* creator\_email (string): 필수
* duration (float): 선택 사항, 단위는 시간입니다. 기본값은 `3`
* inference\_version (string): 선택 사항, 기본값은 `latest`
* min\_replicas (integer): 선택 사항, 기본값은 `1`
* max\_replicas (integer): 선택 사항, 기본값은 `1`

**응답 예시 (json)**

```
{
	"deployment_id": "IwzJ5YLQ0iDhwzqoh3Ae",
	"deployment_name": "dev-testing",
	"machine_type": "dev-gpu",
	"creator_email": YOUR_EMAIL_ADDRESS,
	"creator_id": YOUR_USER_ID,
	"subdomain": "dev-testing",
	"domain": "dev-testing.roboflow.cloud",
	"duration": 3.0,
	"inference_version": "0.45.0",
	"max_replicas": 1,
	"min_replicas": 1,
	"num_replicas": 0,
	"status": "pending",
	"workspace_id": YOUR_WORKSPACE_ID,
	"workspace_url": YOUR_WORKSPACE_URL
}
```

**응답 스키마 (json)**

* deployment\_id (string): 고유 식별자
* deployment\_name (string)
* machine\_type (string)
* creator\_email (string)
* creator\_id (string): 다음에 해당하는 사용자 ID `creator_email`
* subdomain (string): 항상 동일한 것은 아닙니다 `deployment_name`, subdomain이 이미 사용 중이면 접미사를 추가합니다
* domain (string)
* duration (float)
* inference\_version (string)
* min\_replicas (integer)
* max\_replicas (integer)
* num\_replicas (integer): 현재 사용 가능한 복제본 수
* status (string)
* workspace\_id (string)
* workspace\_url (string)

</details>

<details>

<summary>GET /list — 워크스페이스의 전용 배포 목록 가져오기</summary>

**쿼리 파라미터**

* api\_key (string): 필수
* show\_expired (string): 선택 사항, 기본값은 `false`
* show\_deleted (string): 선택 사항, 기본값은 `false`

**응답 예시 (json)**

```
[
{
	"deployment_id": "IwzJ5YLQ0iDhwzqoh3Ae",
	"deployment_name": "dev-testing",
	"machine_type": "dev-gpu",
	"creator_email": YOUR_EMAIL_ADDRESS,
	"creator_id": YOUR_USER_ID,
	"subdomain": "dev-testing",
	"domain": "dev-testing.roboflow.cloud",
	"duration": 3.0,
	"inference_version": "0.45.0",
	"max_replicas": 1,
	"min_replicas": 1,
	"num_replicas": 0,
	"status": "pending",
	"workspace_id": YOUR_WORKSPACE_ID,
	"workspace_url": YOUR_WORKSPACE_URL
}
]
```

**응답 스키마 (json)**

전용 배포 항목 목록이며, 각 항목은 [/add](#post-add-create-a-dedicated-deployment) 엔드포인트에 설명된 것과 동일한 스키마를 가집니다.

</details>

<details>

<summary>GET /get — 전용 배포의 세부 정보 가져오기</summary>

**쿼리 파라미터**

* api\_key (string): 필수
* deployment\_name (string): 필수

**응답 예시 (json)**

```
{
	"deployment_id": "IwzJ5YLQ0iDhwzqoh3Ae",
	"deployment_name": "dev-testing",
	"machine_type": "dev-gpu",
	"creator_email": YOUR_EMAIL_ADDRESS,
	"creator_id": YOUR_USER_ID,
	"subdomain": "dev-testing",
	"domain": "dev-testing.roboflow.cloud",
	"duration": 3.0,
	"inference_version": "0.45.0",
	"max_replicas": 1,
	"min_replicas": 1,
	"num_replicas": 0,
	"status": "pending",
	"workspace_id": YOUR_WORKSPACE_ID,
	"workspace_url": YOUR_WORKSPACE_URL
}
```

**응답 스키마 (json)**

응답과 동일한 스키마를 가집니다. [/add](#post-add-create-a-dedicated-deployment) 엔드포인트에 설명된 것과 동일한 스키마를 가집니다.

</details>

<details>

<summary>GET /get_log — 전용 배포의 로그 가져오기</summary>

**쿼리 파라미터**

* api\_key (string): 필수
* deployment\_name (string): 필수
* max\_entries (integer): 선택 사항, 기본값은 50
* from\_timestamp (string): 선택 사항, [ISO 8601](https://en.wikipedia.org/wiki/ISO_8601) 형식으로, 기본값은 현재 시간 1시간 전입니다
* to\_timestamp (string): 선택 사항, [ISO 8601](https://en.wikipedia.org/wiki/ISO_8601) 형식으로, 기본값은 현재 시간입니다

**응답 예시 (json)**

```
[
	{
		"insert_id": "gpwrgrw55p7b9jdq",
		"payload": "INFO:     10.18.0.38:46296 - \"GET /info HTTP/1.1\" 200 OK",
		"severity": "INFO",
		"timestamp": "2025-01-22T13:23:14.209436+00:00"
	},
	{
		"insert_id": "mbieh16zdjvqp81j",
		"payload": "INFO:     10.18.0.38:46294 - \"GET /info HTTP/1.1\" 200 OK",
		"severity": "INFO",
		"timestamp": "2025-01-22T13:23:14.208738+00:00"
	},
	{
		"insert_id": "0odfnfwh8ts6e4jt",
		"payload": "INFO:     10.18.0.38:54650 - \"GET /info HTTP/1.1\" 200 OK",
		"severity": "INFO",
		"timestamp": "2025-01-22T13:22:14.209054+00:00"
	},
	{
		"insert_id": "s3nabhyhejuke6ub",
		"payload": "INFO:     10.18.0.38:54640 - \"GET /info HTTP/1.1\" 200 OK",
		"severity": "INFO",
		"timestamp": "2025-01-22T13:22:14.208329+00:00"
	},
	{
		"insert_id": "2cz5u3jx4ma22tl8",
		"payload": "INFO:     10.18.0.38:40264 - \"GET /info HTTP/1.1\" 200 OK",
		"severity": "INFO",
		"timestamp": "2025-01-22T13:21:14.209900+00:00"
	}
]
```

**응답 스키마 (json)**

로그 항목 목록이며, 각 항목에는 다음 속성이 있습니다:

* insert\_id (string): 각 로그 항목의 고유 식별자
* payload (string): 로그 내용
* severity (string)
* timestamp (string)

</details>

<details>

<summary>POST /pause — 전용 배포 일시 중지</summary>

**요청 본문 예시 (json)**

```
{
	"api_key": API_KEY,
	"deployment_name": "dev-testing"
}
```

**요청 본문 스키마 (json)**

* api\_key (string): 필수
* deployment\_name (string): 필수

**응답 예시 (json)**

```
{
	"message": "OK"
}
```

**응답 스키마**

* message (string)

</details>

<details>

<summary>POST /resume — 전용 배포 재개</summary>

**요청 본문 예시 (json)**

```
{
	"api_key": API_KEY,
	"deployment_name": "dev-testing"
}
```

**요청 본문 스키마 (json)**

* api\_key (string): 필수
* deployment\_name (string): 필수

**응답 예시 (json)**

```
{
	"message": "OK"
}
```

**응답 스키마**

* message (string)

</details>

<details>

<summary>POST /delete — 전용 배포 삭제</summary>

**요청 본문 예시 (json)**

```
{
	"api_key": API_KEY,
	"deployment_name": "dev-testing"
}
```

**요청 본문 스키마 (json)**

* api\_key (string): 필수
* deployment\_name (string): 필수

**응답 예시 (json)**

```
{
	"message": "OK"
}
```

**응답 스키마**

* message (string)

</details>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.roboflow.com/roboflow/roboflow-ko/deploy/dedicated-deployments/manage-dedicated-deployments-with-an-api.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
